import 'package:flutter/material.dart';

class InputWidgetProfile extends StatelessWidget {
  final double topRight;
  final double bottomRight;
  final double topLeft;
  final double bottomLeft;

  InputWidgetProfile(this.topRight, this.bottomRight, this.topLeft, this.bottomLeft);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(right: 20, left: 20, bottom: 20),
      child: Container(
        width: MediaQuery.of(context).size.width - 20,
        child: Material(
          elevation: 10,
          color: Colors.red,
          shape: RoundedRectangleBorder(
              borderRadius: BorderRadius.circular(20)),
          child: Padding(
            padding: EdgeInsets.only(left: 25, right: 20, top: 10, bottom: 10),
            child: TextFormField(
              keyboardType: TextInputType.emailAddress,
              textInputAction: TextInputAction.next,
              decoration: InputDecoration(
                  border: InputBorder.none,
                  prefixIcon: Icon(Icons.person),
                  prefixIconConstraints: BoxConstraints(
                    minWidth: 40,
                    minHeight: 40,
                  ),
                  hintText: "hris_selfservice@example.com",
                  hintStyle: TextStyle(color: Color(0xFFE1E1E1), fontSize: 16)),
            ),
          ),
        ),
      ),
    );
  }
}

